<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Allgemein\Aktuelles\NewsUebersicht;

class NewsUebersichtController extends \Kufer\KuferTools\Basis\Uebersicht\UebersichtController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new NewsUebersichtUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new NewsUebersichtPresenter($pUseCaseResponse);
  }

  protected function getToolId()
  {
    return NewsUebersichtUseCase::getToolId();
  }

  protected function getDefaultRequestObj()
  {
    return new NewsUebersichtRequest();
  }

  protected function getSuchAPI()
  {
    return null;
  }

  protected function getRequestSearchName()
  {
    return '';
  }
}